---
name: Chris Baus
start_date: 2019-08-05
picture: chrisbaus.jpg
locality:
country:
role: <a href="/job-families/engineering/development/backend/manager/">Backend Engineering
  Manager, Fulfillment:Purchase</a>
reports_to: waynehaber
twitter:
gitlab: chris_baus
departments:
- Engineering Function
- Development Department
- Fulfillment Section
- Fulfillment Purchase Team
- Backend
specialty: Purchase

